## eole-saltstack 2.6.1-23

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=eole-saltstack
VERSION=2.6.1
EOLE_VERSION=2.6
EOLE_RELEASE=2.6.1
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-saltstack (2.6.1-23) eole-2.6.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [c97aaff] SalStack can be fully disabled regardless EAD3
  * [3706a9a] Merge branch '2.6.1/master' into dist/eole/2.6.1/master

  [ EOLE Build Daemon ]
  * [1be2d4b] Joël Cuissinat: Update package since “debian/2.6.1-22”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 05 Apr 2017 10:31:44 +0200

eole-saltstack (2.6.1-22) eole-2.6.1-proposed-updates; urgency=low

  [ gwen ]
  * [6d42d72] added servicelist property for the saltstack services
  * [1ad05f2] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [b0d0860] gwen: Update package since “debian/2.6.1-21”

 -- gwen <gremond@cadoles.com>  Tue, 07 Mar 2017 15:11:16 +0100

eole-saltstack (2.6.1-21) eole-2.6-unstable; urgency=low

  [ Ghislain Loaec ]
  * [c1b86c5] Add validate token api method

  [ Lionel MORIN ]
  * [7797c2b] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [bdf9aad] Lionel MORIN: Update package since “debian/2.6.1-20”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Thu, 09 Feb 2017 12:39:56 +0100

eole-saltstack (2.6.1-20) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [dedc29b] add custom salt action (ref #19014)

  [ Garette Emmanuel ]
  * [4a60805] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [b447c96] Garette Emmanuel: Update package since “debian/2.6.1-19”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 08 Feb 2017 14:06:22 +0100

eole-saltstack (2.6.1-19) eole-2.6-unstable; urgency=low

  [ Bruno Boiget ]
  * [b80aded] Return error message if bad arguments in POST request
  * [9f9ff0a] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [8122c68] Bruno Boiget: Update package since “debian/2.6.1-18”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 08 Feb 2017 11:42:21 +0100

eole-saltstack (2.6.1-18) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [817c9f0] Fix internal server error on authentication
  * [32577f3] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [9fb87d2] Lionel MORIN: Update package since “debian/2.6.1-17”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 07 Feb 2017 14:55:06 +0100

eole-saltstack (2.6.1-17) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [a58034f] Set hash_type to sha256 in master and minion configuration
  * [457c479] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [e45a8af] Lionel MORIN: Update package since “debian/2.6.1-16”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Mon, 06 Feb 2017 11:44:41 +0100

eole-saltstack (2.6.1-16) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [549aac1] Add python dependencies for build

  [ EOLE Build Daemon ]
  * [4a4eb2a] Lionel MORIN: Update package since “debian/2.6.1-15”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Mon, 30 Jan 2017 14:29:41 +0100

eole-saltstack (2.6.1-15) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [878e8fe] Add rest_eole netapi server based on rest_tornado
  * [b9587f7] cors dans template pour tornado
  * [6dde654] Manage logout
  * [e67b5f3] Merge branch 'feature/18041_Tornado' into develop
  * [5673645] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [abe7267] Lionel MORIN: Update package since “debian/2.6.1-14”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Mon, 30 Jan 2017 12:37:15 +0100

eole-saltstack (2.6.1-14) eole-2.6-unstable; urgency=low

  [ Lionel MORIN ]
  * [1a2e5cb] Delete refresh_pillar in postservice
  * [8798a26] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [1fe5db9] Lionel MORIN: Update package since “debian/2.6.1-13”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Fri, 20 Jan 2017 09:53:20 +0100

eole-saltstack (2.6.1-13) eole-2.6-unstable; urgency=low

  [ Bruno Boiget ]
  * [5e338d1] description manquante pour le port de l'API SaltStack
  * [2bda2d8] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [feef356] Bruno Boiget: Update package since “debian/2.6.1-12”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 19 Jan 2017 17:32:54 +0100

eole-saltstack (2.6.1-12) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [9f4d07d] use the ewtapp in the ext_auth template, ref #18667

  [ Garette Emmanuel ]
  * [0566b29] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [a791968] Garette Emmanuel: Update package since “debian/2.6.1-11”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 18 Jan 2017 11:44:14 +0100

eole-saltstack (2.6.1-11) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [6979c83] don't add right if action is disactived (ref #18690)

  [ Garette Emmanuel ]
  * [bc87973] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [df4869f] Garette Emmanuel: Update package since “debian/2.6.1-10”

 -- Garette Emmanuel <egarette@cadoles.com>  Tue, 17 Jan 2017 14:18:00 +0100

eole-saltstack (2.6.1-10) eole-2.6-unstable; urgency=low

  [ Emmanuel Garette ]
  * [6fde3f6] added the templated port number ref #18684

  [ Lionel MORIN ]
  * [839bc46] Inject Creole configuration in SaltStack pillars
  * [3ec578e] Merge branch 'develop' into dist/eole/2.6.1/develop

  [ EOLE Build Daemon ]
  * [6b06551] Lionel MORIN: Update package since “debian/2.6.1-9”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Tue, 17 Jan 2017 11:04:28 +0100

eole-saltstack (2.6.1-9) eole-2.6-unstable; urgency=low

  [ gwen ]
  * [4eca2a8] template master

  [ Lionel MORIN ]
  * [b99c3cf] Delete saltstack packages from 20_saltstack.xml
  * [cee9134] Merge branch 'develop' into dist/eole/2.6.1/develop
  * [451ab20] Add saltstack dependancies in debian/control

  [ EOLE Build Daemon ]
  * [06b2f75] Lionel MORIN: Update package since “debian/2.6.1-8”

 -- Lionel MORIN <lionel.morin@ac-dijon.fr>  Mon, 16 Jan 2017 15:59:42 +0100



## eole-saltstack 2.6.2-3

=== debian/changelog ===
eole-saltstack (2.6.2-3) eole-2.6-unstable; urgency=low

  [ William Petit ]
  * [8b80975] Activation des websockets dans rest_eole
  * [513b498] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [24a0a9e] William Petit: Update package since “debian/eole/2.6.2-2”

 -- William Petit <wpetit@cadoles.com>  Tue, 29 Aug 2017 17:21:13 +0200

eole-saltstack (2.6.2-2) eole-2.6-unstable; urgency=low

  [ Joël Cuissinat ]
  * [c97aaff] SalStack can be fully disabled regardless EAD3
  * [ec69a21] Merge branch '2.6.1/master'

  [ Emmanuel Garette ]
  * [0b1d316] configuring SMTP in minion (ref 20794)

  [ William Petit ]
  * [4600ff3] Merge branch 'master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [207deaa] William Petit: Update package since “debian/eole/2.6.2-1”

 -- William Petit <wpetit@cadoles.com>  Fri, 23 Jun 2017 09:47:32 +0200

eole-saltstack (2.6.2-1) eole-2.6-unstable; urgency=low

  [ Daniel Dehennin ]
  * [b333f00] Prepare version 2.6.2
  * [7135d93] Merge tag 'release/2.6.2'
  * [b05253f] Nouvel espace de nommage des tags Debian

  [ EOLE Build Daemon ]
  * [00e8881] William Petit: Update package since “debian/eole/2.6.1-22”

  [ William Petit ]

 -- William Petit <wpetit@cadoles.com>  Fri, 23 Jun 2017 09:47:11 +0200

## eole-saltstack 2.6.2-4

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-saltstack
-VERSION=2.6.1
+VERSION=2.6
 EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.1
+EOLE_RELEASE=2.6.2
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-saltstack (2.6.2-4) eole-2.6.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [b6a2e28] Cleaning old ead3 salt configuration in package postrm

  [ EOLE Build Daemon ]
  * [226e373] Fabrice Barconnière: Update package since “debian/eole/2.6.2-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 14 Jan 2019 09:12:29 +0100

=== debian/control ===
Source: eole-saltstack
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), python-py, python-all-dev
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/<project>
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/<project>/repository

Package: eole-saltstack
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, eole-common, salt-api, salt-master, salt-minion
Description: saltstack's EOLE configuration and integration
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-saltstack 2.6.2-7

=== debian/changelog ===
eole-saltstack (2.6.2-7) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9c14292] Disable salt-api debug
  * [a9ca954] Merge branch '2.6.2/30547-disableAPIdebug' into 2.6.2/master
  * [ac20e8d] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [d06552b] Joël Cuissinat: Update package since “debian/eole/2.6.2-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Sep 2020 10:26:13 +0200

eole-saltstack (2.6.2-6) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [2a8a178] PYC file must be deleted in prerm instead of postrm

  [ EOLE Build Daemon ]
  * [b31d4ee] Joël Cuissinat: Update package since “debian/eole/2.6.2-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 17 Oct 2019 16:46:08 +0200

eole-saltstack (2.6.2-5) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [7e47e22] Force deleting PYC file in module

  [ EOLE Build Daemon ]
  * [2abda45] Joël Cuissinat: Update package since “debian/eole/2.6.2-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Oct 2019 11:31:32 +0200

## eole-saltstack 2.7.0-7

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-saltstack
-VERSION=2.6
-EOLE_VERSION=2.6
-EOLE_RELEASE=2.6.2
+VERSION=2.7
+EOLE_VERSION=2.7
+EOLE_RELEASE=2.7.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-saltstack (2.7.0-7) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [b63ed31] Error in CreoleLint because of tabs instead 4 spaces
  * [4538fda] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [d416386] Fabrice Barconnière: Update package since “debian/eole/2.7.0-6”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 14 Nov 2018 15:06:54 +0100

eole-saltstack (2.7.0-6) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [bb0f35f] compiler en python3(ref #24256)
  * [a210993] compiler en python3(ref #24256)

  [ Garette Emmanuel ]
  * [e11dd4d] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [9cb5b68] Garette Emmanuel: Update package since “debian/eole/2.7.0-5”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 20 Jun 2018 11:49:46 +0200

eole-saltstack (2.7.0-5) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [8ff908e] mise à jour de rest_eole par rapport à rest_tornado de la version 2.7.0 (ref #24256)

  [ Garette Emmanuel ]
  * [6a3ece4] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [23f24e6] Garette Emmanuel: Update package since “debian/eole/2.7.0-4”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 20 Jun 2018 11:40:54 +0200

eole-saltstack (2.7.0-4) eole-2.7-unstable; urgency=low

  [ Emmanuel Garette ]
  * [48d3e71] salt tourne en 'root' pour pouvoir authentifier les utilisateurs via pam (ref #24255)

  [ Garette Emmanuel ]
  * [115fe9b] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [c1ca11a] Garette Emmanuel: Update package since “debian/eole/2.7.0-3”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 20 Jun 2018 10:46:35 +0200

eole-saltstack (2.7.0-3) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [cc4de1f] The base environment's top file is evaluated first
  * [df96353] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [40196e7] Fabrice Barconnière: Update package since “debian/eole/2.7.0-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 30 Apr 2018 10:47:41 +0200

eole-saltstack (2.7.0-2) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [2a491a0] Minion's certificates were not copied into /var/lib directory
  * [7a50562] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [82983e6] Fabrice Barconnière: Update package since “debian/eole/2.7.0-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 27 Apr 2018 11:19:56 +0200

eole-saltstack (2.7.0-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [9909a5e] Prepare version 2.7.0
  * [88bb3f4] Merge tag 'release/2.7.0' into dist/eole/2.7.0/master

  [ Fabrice Barconnière ]
  * [31797e9] Salt-master is running as 'salt':  must adapt posttemplate script
  * [0adf6f7] Merge branch 'master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [d92b924] Fabrice Barconnière: Update package since “debian/eole/2.6.2-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 26 Apr 2018 11:40:18 +0200

=== debian/control ===
Source: eole-saltstack
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 7.0.50), python3-py, python3-all-dev
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/<project>
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/<project>/repository

Package: eole-saltstack
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, eole-common, salt-api, salt-master, salt-minion
Description: saltstack's EOLE configuration and integration
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-saltstack 2.7.0-11

=== debian/changelog ===
eole-saltstack (2.7.0-11) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9c14292] Disable salt-api debug
  * [596eed7] Merge branch '2.6.2/30547-disableAPIdebug' into 2.7.0/master
  * [accdfde] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [50c833d] Joël Cuissinat: Update package since “debian/eole/2.7.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Sep 2020 10:27:44 +0200

eole-saltstack (2.7.0-10) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e850f50] Force deleting PYC file in module

  [ EOLE Build Daemon ]
  * [d2e7df8] Joël Cuissinat: Update package since “debian/eole/2.7.0-9”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 14 Oct 2019 11:31:43 +0200

eole-saltstack (2.7.0-9) eole-2.7.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e18c479] Minion key must be accepted after salt services are started
  * [24a3882] Merge branch '2.7.0/27291-salt-key' into 2.7.0/master
  * [f4afa33] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [b8140bd] Joël Cuissinat: Update package since “debian/eole/2.7.0-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 15 Mar 2019 12:04:35 +0100

eole-saltstack (2.7.0-8) eole-2.7.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [8afef48] Cleaning old ead3 salt configuration in package postrm
  * [fa56f44] Missed 4 spaces when replace tabs
  * [f671fee] Merge branch '2.7.0/master' into dist/eole/2.7.0/master

  [ EOLE Build Daemon ]
  * [8da7e0f] Fabrice Barconnière: Update package since “debian/eole/2.7.0-7”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 11 Jan 2019 15:56:23 +0100

## eole-saltstack 2.7.1-4

=== debian/changelog ===
eole-saltstack (2.7.1-4) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [7a5ab64] Minion key must be accecpted after salt services are started
  * [6052353] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [60259fc] Fabrice Barconnière: Update package since “debian/eole/2.7.1-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 14 Jan 2019 09:10:07 +0100

eole-saltstack (2.7.1-3) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [df5101d] Log salt services for EAD3 to rsyslog
  * [3730329] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [cac566f] Fabrice Barconnière: Update package since “debian/eole/2.7.1-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 11 Jan 2019 14:30:54 +0100

eole-saltstack (2.7.1-2) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [6ef0e11] FIX some mystakes during reconfigure
  * [07d3d4e] Merge branch 'master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [7659cdc] Fabrice Barconnière: Update package since “debian/eole/2.7.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 11 Jan 2019 08:58:18 +0100

eole-saltstack (2.7.1-1) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [fa56f44] Missed 4 spaces when replace tabs
  * [4ad730c] Configuring SaltStack for EAD3 only
  * [098c77f] Mask default salt services and install salt services for EAD3 New package name : eole-ead3-saltstack
  * [332d673] Fix tab missing in eole-saltstack.mk
  * [7067918] Configuring SaltStack for EAD3 only
  * [1d624d4] Fix tab missing in eole-saltstack.mk
  * [d389132] Merge branch 'master' into dist/eole/2.7.1/master

  [ Daniel Dehennin ]
  * [5e4df36] Prepare version 2.7.1
  * [6a5981e] Merge tag 'release/2.7.1' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5c5c347] Fabrice Barconnière: Update package since “debian/eole/2.7.0-7”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 11 Jan 2019 08:12:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,13 @@
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/<project>
 Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/<project>/repository
 
-Package: eole-saltstack
+Package: eole-ead3-saltstack
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, eole-common, salt-api, salt-master, salt-minion
-Description: saltstack's EOLE configuration and integration
+Provides: eole-saltstack
+Conflicts: eole-saltstack
+Replaces: eole-saltstack
+Description: saltstack's EOLE configuration and integration for EAD3
  .
  Pour toute information complémentaire, veuillez vous rendre sur le
  site du projet EOLE.

## eole-saltstack 2.7.1-5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-saltstack
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.0
+EOLE_RELEASE=2.7.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-saltstack (2.7.1-5) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e18c479] Minion key must be accepted after salt services are started
  * [272c031] Merge branch '2.7.0/27291-salt-key'
  * [9c14292] Disable salt-api debug
  * [5a3c88c] Merge branch '2.6.2/30547-disableAPIdebug' into 2.7.1/master
  * [007c9d7] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [e41765d] Joël Cuissinat: Update package since “debian/eole/2.7.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Sep 2020 10:28:42 +0200

## eole-saltstack 2.7.2-6

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-saltstack
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_RELEASE=2.7.2
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-saltstack (2.7.2-6) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [439060a] feat(debian/control): salt require python3-contextvars

  [ EOLE Build Daemon ]
  * [d932eb3] Daniel Dehennin: Update package since “debian/eole/2.7.2-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 07 Apr 2022 11:35:58 +0200

eole-saltstack (2.7.2-5) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [70ce904] feat(debian/postinst): move salt pki directory when required

  [ EOLE Build Daemon ]
  * [8cf8352] Daniel Dehennin: Update package since “debian/eole/2.7.2-4”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 14:53:37 +0200

eole-saltstack (2.7.2-4) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [9fe68ce] feat(debian/control): new depends for 3004.1 upgrade

  [ EOLE Build Daemon ]
  * [09e9f13] Daniel Dehennin: Update package since “debian/eole/2.7.2-3”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 14:49:06 +0200

eole-saltstack (2.7.2-3) eole-2.7.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [9b09e7b] fix(3004.1): upgrade rest_eole to latest upstream
  * [f85fc4a] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [41b9c0f] Daniel Dehennin: Update package since “debian/eole/2.7.2-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 11:50:22 +0200

eole-saltstack (2.7.2-2) eole-2.7.2-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [4364f03] désactiver la vérification du client ACL pour question de performance sur le Seth (ref #33315)
  * [3824876] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [8009dfa] Emmanuel Garette: Update package since “debian/eole/2.7.2-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 18 Oct 2021 15:46:26 +0200

eole-saltstack (2.7.2-1) eole-2.7.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e18c479] Minion key must be accepted after salt services are started
  * [272c031] Merge branch '2.7.0/27291-salt-key'
  * [9c14292] Disable salt-api debug
  * [6ff5dba] Merge branch '2.6.2/30547-disableAPIdebug' into 2.7.2/master
  * [2ea2be9] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ Daniel Dehennin ]
  * [69c33c6] Prepare version 2.7.2
  * [91a2eee] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [1784d52] Joël Cuissinat: Update package since “debian/eole/2.7.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Sep 2020 10:31:18 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,14 @@
 
 Package: eole-ead3-saltstack
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, eole-common, salt-api, salt-master, salt-minion
+Depends: eole-common,
+         salt-api (>= 3004.1),
+         salt-master (>= 3004.1),
+         salt-minion (>= 3004.1),
+         python3-m2crypto,
+         python3-contextvars,
+         ${misc:Depends},
+         ${python3:Depends}
 Provides: eole-saltstack
 Conflicts: eole-saltstack
 Replaces: eole-saltstack

## eole-saltstack 2.8.0-5

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-saltstack
-VERSION=2.7
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-saltstack (2.8.0-5) eole-2.8.0-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [4eef2bc] ajouter une execption de timeout sur la récupération de la liste de paquets ref #31253
  * [00f5bc6] Modifier la durée du timeout du master ref #31254
  * [96bd081] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [a0e5a57] Matthieu Lamalle: Update package since “debian/eole/2.8.0-4”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 04 Dec 2020 09:10:19 +0100

eole-saltstack (2.8.0-4) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [45520ad] * dumpconfig.py : portage python3
  * [8a22e72] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [54069af] Joël Cuissinat: Update package since “debian/eole/2.8.0-3”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 03 Nov 2020 15:16:12 +0100

eole-saltstack (2.8.0-3) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [e47f754] Master: logging can't use /dev/log
  * [f800c27] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [2760425] Daniel Dehennin: Update package since “debian/eole/2.8.0-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 15:46:08 +0100

eole-saltstack (2.8.0-2) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [9c14292] Disable salt-api debug
  * [141793a] Merge branch '2.6.2/30547-disableAPIdebug'
  * [695aa2c] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d8ea84b] Joël Cuissinat: Update package since “debian/eole/2.8.0-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 03 Sep 2020 10:32:46 +0200

eole-saltstack (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [e18c479] Minion key must be accepted after salt services are started
  * [272c031] Merge branch '2.7.0/27291-salt-key'
  * [97377f4] Merge branch 'master' into dist/eole/2.8.0/master

  [ Daniel Dehennin ]
  * [69c33c6] Prepare version 2.7.2
  * [91a2eee] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master
  * [d0691de] Prepare version 2.8.0
  * [14ebcfb] Merge branch 'master' into dist/eole/2.8.0/master

  [ Emmanuel Garette ]
  * [535e89a] portage de rest_eole pour la version 3000 de salt (ref #29667)

  [ EOLE Build Daemon ]
  * [2616a19] Joël Cuissinat: Update package since “debian/eole/2.7.1-4”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 24 Mar 2020 10:53:48 +0100

## eole-saltstack 2.8.0-10

=== debian/changelog ===
eole-saltstack (2.8.0-10) eole-2.8.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [70bf899] Format de log compatible avec rsyslog pour salt-*-ead3.
  * [ef313b2] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [b348b11] Benjamin Bohard: Update package since “debian/eole/2.8.0-9”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Jun 2023 14:12:17 +0200

eole-saltstack (2.8.0-9) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [22e1a2f] feat(debian/control): new depends for 3004.1 upgrade
  * [8e1e95a] feat(debian/postinst): move salt pki directory when required

  [ EOLE Build Daemon ]
  * [0bc7983] Daniel Dehennin: Update package since “debian/eole/2.8.0-8”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 16:00:41 +0200

eole-saltstack (2.8.0-8) eole-2.8.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [9b09e7b] fix(3004.1): upgrade rest_eole to latest upstream
  * [2158a4d] Merge branch '2.7.2/master' into 2.8.0/master
  * [6e9fa2c] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [eec9a80] Daniel Dehennin: Update package since “debian/eole/2.8.0-7”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 11:51:31 +0200

eole-saltstack (2.8.0-7) eole-2.8.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6ff5dba] Merge branch '2.6.2/30547-disableAPIdebug' into 2.7.2/master

  [ Emmanuel Garette ]
  * [4364f03] désactiver la vérification du client ACL pour question de performance sur le Seth (ref #33315)
  * [9c2853d] Merge branch '2.7.2/master' into 2.8.0/master
  * [c25e78f] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [ea81c07] Emmanuel Garette: Update package since “debian/eole/2.8.0-6”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 18 Oct 2021 15:46:53 +0200

eole-saltstack (2.8.0-6) eole-2.8.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [95bd032] evite les erreurs EAD (ref #33016)

  [ Joël Cuissinat ]
  * [d420ebe] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [9d9a7bc] Joël Cuissinat: Update package since “debian/eole/2.8.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 31 Aug 2021 16:14:08 +0200

## eole-saltstack 2.8.1-3

=== debian/changelog ===
eole-saltstack (2.8.1-3) eole-2.8-unstable; urgency=low

  [ Matthieu Lamalle ]
  * [4eef2bc] ajouter une execption de timeout sur la récupération de la liste de paquets ref #31253
  * [00f5bc6] Modifier la durée du timeout du master ref #31254
  * [0636827] Merge branch '2.8.0/master'
  * [d5d9efc] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fc1d065] Matthieu Lamalle: Update package since “debian/eole/2.8.1-2”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 04 Dec 2020 09:12:01 +0100

eole-saltstack (2.8.1-2) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [45520ad] * dumpconfig.py : portage python3
  * [83061c2] Merge branch '2.8.0/master'
  * [53ba511] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2c5e195] Joël Cuissinat: Update package since “debian/eole/2.8.1-1”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 03 Nov 2020 15:18:09 +0100

eole-saltstack (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [51a9a23] Prepare version 2.8.1
  * [5deaa4e] Merge branch 'master' into dist/eole/2.8.1/master
  * [e47f754] Master: logging can't use /dev/log
  * [21b1777] Merge branch '2.8.0/master'
  * [91c79c8] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [c6363d8] Daniel Dehennin: Update package since “debian/eole/2.8.0-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 29 Oct 2020 15:46:28 +0100

## eole-saltstack 2.8.1-8

=== debian/changelog ===
eole-saltstack (2.8.1-8) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [70bf899] Format de log compatible avec rsyslog pour salt-*-ead3.
  * [38e6e25] Merge branch '2.8.0/master' into 2.8.1/master
  * [fd18d8e] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [08525d1] Benjamin Bohard: Update package since “debian/eole/2.8.1-7”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Jun 2023 14:13:02 +0200

eole-saltstack (2.8.1-7) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [3d2cd59] feat(debian/control): new depends for 3004.1 upgrade
  * [71add80] feat(debian/postinst): move salt pki directory when required

  [ EOLE Build Daemon ]
  * [c969ce2] Daniel Dehennin: Update package since “debian/eole/2.8.1-6”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 16:02:33 +0200

eole-saltstack (2.8.1-6) eole-2.8.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [9b09e7b] fix(3004.1): upgrade rest_eole to latest upstream
  * [2158a4d] Merge branch '2.7.2/master' into 2.8.0/master
  * [9b40788] Merge branch '2.8.0/master' into 2.8.1/master
  * [296b25a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [35c814b] Daniel Dehennin: Update package since “debian/eole/2.8.1-5”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 11:52:34 +0200

eole-saltstack (2.8.1-5) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [95bd032] evite les erreurs EAD (ref #33016)
  * [4364f03] désactiver la vérification du client ACL pour question de performance sur le Seth (ref #33315)
  * [9c2853d] Merge branch '2.7.2/master' into 2.8.0/master
  * [f9fe4dc] Merge branch '2.8.0/master'
  * [3a25d77] Merge branch 'master' into dist/eole/2.8.1/master

  [ Joël Cuissinat ]
  * [6ff5dba] Merge branch '2.6.2/30547-disableAPIdebug' into 2.7.2/master

  [ EOLE Build Daemon ]
  * [4f8f397] Emmanuel Garette: Update package since “debian/eole/2.8.1-4”

 -- Emmanuel Garette <egarette@cadoles.com>  Mon, 18 Oct 2021 15:47:15 +0200

eole-saltstack (2.8.1-4) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [cfb747d] evite les erreurs EAD (ref #33016)
  * [28ccba1] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [4163305] Emmanuel Garette: Update package since “debian/eole/2.8.1-3”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 24 Aug 2021 17:32:55 +0200

## eole-saltstack 2.8.1-17

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-saltstack
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-saltstack (2.8.1-17) eole-2.8-unstable; urgency=low

  [ Joël Cuissinat ]
  * [1a9414d] feat(saltstack): copy files in containers and upgrade `addc`
  * [894845a] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3345e66] Joël Cuissinat: Update package since “debian/eole/2.8.1-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 28 Aug 2025 17:00:44 +0200

eole-saltstack (2.8.1-16) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [f533d36] feat(saltstack.list): bump to salt-3007.6-eole.1
  * [6571232] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [fabf434] Daniel Dehennin: Update package since “debian/eole/2.8.1-15”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 26 Aug 2025 14:51:45 +0200

eole-saltstack (2.8.1-15) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [729de53] desactive salt-* au reconfigure (ref #36547)
  * [50a4bae] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [0d97cfe] Emmanuel Garette: Update package since “debian/eole/2.8.1-14”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 05 Mar 2025 14:15:38 +0100

eole-saltstack (2.8.1-14) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ec413fb] forcer la version de salt (ref #36414)
  * [d186931] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [2b5f19e] Emmanuel Garette: Update package since “debian/eole/2.8.1-13”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 03 Mar 2025 11:40:34 +0100

eole-saltstack (2.8.1-13) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [e1432bc] ne pas 'planter' Maj-Auto si la source est à jour (ref #36414)

  [ Joël Cuissinat ]
  * [6828555] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [01dafbd] Joël Cuissinat: Update package since “debian/eole/2.8.1-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 11 Feb 2025 21:13:17 +0100

eole-saltstack (2.8.1-12) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [195d856] Check on required salt release
  * [25b73c4] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [3428bd0] Joël Cuissinat: Update package since “debian/eole/2.8.1-11”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 10 Feb 2025 15:39:49 +0100

eole-saltstack (2.8.1-11) eole-2.8.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [7bd4d9d] fix(saltstack.list): bump to salt-3007.1-eole.5
  * [7f533ba] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [ee5965d] Joël Cuissinat: Update package since “debian/eole/2.8.1-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 07 Feb 2025 17:44:00 +0100

eole-saltstack (2.8.1-10) eole-2.8.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fb1f229] mise à jour de saltstack (ref #36414)
  * [b036817] mise à jour de saltstack (ref #36414)
  * [5234f17] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [129f3a1] Emmanuel Garette: Update package since “debian/eole/2.8.1-9”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 18:26:49 +0100

eole-saltstack (2.8.1-9) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0bbc5d0] Tornado n’est plus installé dans salt.ext
  * [a923be2] Le décorateur @asynchronous n’est plus disponible.
  * [8ef0eb9] La fonction salt.utils.event.get_event à changé de signature.
  * [0559ac4] Internaliser la fonction du module obsolète cgi.

  [ Daniel Dehennin ]
  * [db8370d] fix(3007.1): upgrade rest_eole to latest upstream

  [ Emmanuel Garette ]
  * [b1df960] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [6710849] Emmanuel Garette: Update package since “debian/eole/2.8.1-8”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 27 Jan 2025 10:04:07 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
          salt-api (>= 3004.1),
          salt-master (>= 3004.1),
          salt-minion (>= 3004.1),
-         python3-m2crypto,
-         python3-contextvars,
+	 python3-m2crypto,
          ${misc:Depends},
          ${python3:Depends}
 Provides: eole-saltstack

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_installinit --no-start -peole-ead3-saltstack --name=salt-api-ead3
	dh_installinit --no-start -peole-ead3-saltstack --name=salt-master-ead3
	dh_installinit --no-start -peole-ead3-saltstack --name=salt-minion-ead3

## eole-saltstack 2.9.0-3

=== debian/changelog ===
eole-saltstack (2.9.0-3) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [faff2a8] feat(debian/control): new depends for 3004.1 upgrade
  * [41f75de] feat(debian/postinst): move salt pki directory when required

  [ EOLE Build Daemon ]
  * [153339b] Daniel Dehennin: Update package since “debian/eole/2.9.0-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 16:03:46 +0200

eole-saltstack (2.9.0-2) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [9b09e7b] fix(3004.1): upgrade rest_eole to latest upstream
  * [2158a4d] Merge branch '2.7.2/master' into 2.8.0/master
  * [9b40788] Merge branch '2.8.0/master' into 2.8.1/master
  * [1e80bdc] Merge branch '2.8.1/master'
  * [8e92d04] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [55f9523] Daniel Dehennin: Update package since “debian/eole/2.9.0-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Apr 2022 11:54:16 +0200

eole-saltstack (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [8ae8830] Prepare version 2.9.0
  * [cab4b5a] Merge branch 'master' into dist/eole/2.9.0/master
  * [bc07a75] fix(makefile): installing files requires directories first

  [ Laurent Gourvénec ]
  * [f2481d9] fix(debian/rules): generate package compatible with older reprepro
  * [292b295] Compatibilité avec debhelper 13
  * [d7b7647] Blacken salt
  * [5c541ea] Typos et coding style
  * [728ca04] Drop py2 and six
  * [d0b0ca2] saltnado: don't use gather_job_timeout as a timeout signal in job_not_running
  * [7150cec] Save local client SaltAPIHandler::job_not_running
  * [fb7cb19] Remove install_zmq and serial ref
  * [cd8ef08] Upgrade saltnado depuis salt
  * [754c9b6] Oubli lors du portage en version 3000
  * [3a3494f] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [cfbbd9a] Laurent Gourvénec: Update package since “debian/eole/2.8.1-5”

 -- Laurent Gourvénec <lgourvenec@cadoles.com>  Mon, 21 Feb 2022 14:00:43 +0100

## eole-saltstack 2.9.0-4

=== debian/changelog ===
eole-saltstack (2.9.0-4) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [70bf899] Format de log compatible avec rsyslog pour salt-*-ead3.
  * [38e6e25] Merge branch '2.8.0/master' into 2.8.1/master
  * [bb4ba28] Merge branch '2.8.1/master'
  * [c44cbfe] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [705b9f4] Benjamin Bohard: Update package since “debian/eole/2.9.0-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 21 Jun 2023 14:13:51 +0200

## eole-saltstack 2.9.0-12

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-saltstack
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 
 ################################

=== debian/changelog ===
eole-saltstack (2.9.0-12) eole-2.9-unstable; urgency=low

  [ Joël Cuissinat ]
  * [1a9414d] feat(saltstack): copy files in containers and upgrade `addc`
  * [d87ae73] Merge branch '2.8.1/master' into 2.9.0/master
  * [867773b] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [e16949c] Joël Cuissinat: Update package since “debian/eole/2.9.0-11”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 28 Aug 2025 17:02:14 +0200

eole-saltstack (2.9.0-11) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [f533d36] feat(saltstack.list): bump to salt-3007.6-eole.1
  * [5c1f0ba] Merge branch '2.8.1/master' into 2.9.0/master
  * [bb1026c] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [ace095a] Daniel Dehennin: Update package since “debian/eole/2.9.0-10”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 26 Aug 2025 14:53:13 +0200

eole-saltstack (2.9.0-10) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [729de53] desactive salt-* au reconfigure (ref #36547)
  * [2a54cb1] Merge branch '2.8.1/master' into 2.9.0/master
  * [fd1f24e] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [3785c5f] Emmanuel Garette: Update package since “debian/eole/2.9.0-9”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 05 Mar 2025 14:15:55 +0100

eole-saltstack (2.9.0-9) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [ec413fb] forcer la version de salt (ref #36414)
  * [0779c75] Merge branch '2.8.1/master' into 2.9.0/master
  * [33b92c5] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [f9bcc71] Emmanuel Garette: Update package since “debian/eole/2.9.0-8”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 03 Mar 2025 11:40:55 +0100

eole-saltstack (2.9.0-8) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [195d856] Check on required salt release

  [ Emmanuel Garette ]
  * [e1432bc] ne pas 'planter' Maj-Auto si la source est à jour (ref #36414)
  * [d129bf3] Merge branch '2.8.1/master' into 2.9.0/master
  * [6cc0fac] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [c38eed9] Emmanuel Garette: Update package since “debian/eole/2.9.0-7”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 11 Feb 2025 08:45:41 +0100

eole-saltstack (2.9.0-7) eole-2.9.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [7bd4d9d] fix(saltstack.list): bump to salt-3007.1-eole.5
  * [ceb61d9] Merge branch '2.8.1/master' into 2.9.0/master
  * [4f64f3e] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [62a9ca4] Joël Cuissinat: Update package since “debian/eole/2.9.0-6”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 07 Feb 2025 17:48:01 +0100

eole-saltstack (2.9.0-6) eole-2.9.0-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [fb1f229] mise à jour de saltstack (ref #36414)
  * [b036817] mise à jour de saltstack (ref #36414)
  * [409a316] Merge branch '2.8.1/master' into 2.9.0/master
  * [48aa31a] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d453af5] Emmanuel Garette: Update package since “debian/eole/2.9.0-5”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 18:43:06 +0100

eole-saltstack (2.9.0-5) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [0bbc5d0] Tornado n’est plus installé dans salt.ext
  * [a923be2] Le décorateur @asynchronous n’est plus disponible.
  * [8ef0eb9] La fonction salt.utils.event.get_event à changé de signature.
  * [0559ac4] Internaliser la fonction du module obsolète cgi.

  [ Daniel Dehennin ]
  * [db8370d] fix(3007.1): upgrade rest_eole to latest upstream

  [ Emmanuel Garette ]
  * [4c474d7] Merge branch '2.8.1/master' into 2.9.0/master
  * [1bdfd33] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [07399ba] Emmanuel Garette: Update package since “debian/eole/2.9.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 27 Jan 2025 10:06:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 7.0.50), python3-py, python3-all-dev
+Build-Depends: debhelper (>= 13), python3-py, python3-all-dev
 Standards-Version: 3.8.4
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/<project>

## eole-saltstack 2.9.0-13

=== debian/changelog ===
eole-saltstack (2.9.0-13) eole-2.9.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [3aa65ca] feat(key): add future key for Outils
  * [7242998] Merge branch '2.8.1/master' into 2.9.0/master
  * [f69f923] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [d608c4d] Daniel Dehennin: Update package since “debian/eole/2.9.0-12”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 24 Nov 2025 16:15:18 +0100
